Bug 436425 - bind crash on 'reconfig' at resolver.c:7384
bind crash on 'reconfig' at resolver.c:7384
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 23:12 EST by Bill McGonigle
Modified: 2013-04-30 19:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 05:32:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill McGonigle 2008-03-06 23:12:25 EST
Running bind-9.5.0-23.b1.fc8 - my hourly reconfig cronjob seems to have tripped
up bind on me.  Only once so far.  I set perms on /var/named so I'll get a core
if it happens again.  Logfile says:

Mar  4 06:15:01 borlaug named[1650]: received control channel command 'reconfig'
Mar  4 06:15:01 borlaug named[1650]: loading configuration from '/etc/named.conf'
Mar  4 06:15:01 borlaug named[1650]: reloading configuration succeeded
Mar  4 06:15:01 borlaug named[1650]: any newly configured zones are now loaded
Mar  4 06:15:01 borlaug named[1650]: resolver.c:7384: fatal error:
Mar  4 06:15:01 borlaug named[1650]:
RUNTIME_CHECK(((pthread_mutex_lock(((&res->lock))) == 0) ? 0 : 34) == 0) failed
Mar  4 06:15:01 borlaug named[1650]: exiting (due to fatal error in library)

The server has ECC memory and didn't throw a check. 

I'm reporting this here as ISC seems to not want bug reports about b1 now that
they're on b2.
Comment 1 Adam Tkac 2008-03-10 07:18:42 EDT
b2 is in testing repository now (see
https://bugzilla.redhat.com/show_bug.cgi?id=400461#c27). Would it be possible
try it, please? From changelog it seems that some fix might be related to this
issue.
Comment 2 Bill McGonigle 2008-03-11 22:29:39 EDT
Thanks.  I've installed b2 and will report here (n theory, with a core) if I see
another crash, though I don't know how to reproduce it.  
Comment 3 Fedora Update System 2008-04-29 16:59:38 EDT
bind-9.5.0-26.b3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3402
Comment 4 Bill McGonigle 2008-05-09 00:46:16 EDT
Another segfault today using the version from testing, but without the debugging
info this time:

May  5 14:45:01 borlaug kernel: named[1837]: segfault at dededede eip 00170c23
esp b7f26010 error 5

I also boned the aforementioned permissions, so didn't get a core (doh!).  I
think I've fixed them now:
  #ls -ld /var/named
  drwxrwxr-x 7 root named 4096 Mar 11 22:26 /var/named/
but would appreciate notice to the contrary.

I do a reconfig every */15, so the timestamps line up to suggest this is the
same problem.
Comment 5 Adam Tkac 2008-05-09 07:20:35 EDT
Yes, /var/named has to be writable by named user when you want core file.
Segfault written above is different problem than original one. Attach core file
when next segfault occurs, please. Thanks
Comment 6 Bug Zapper 2008-11-26 05:03:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bill McGonigle 2008-11-26 15:40:25 EST
AFAICT, this update:

Jul 10 05:34:43 Updated: bind-libs - 32:9.5.0-28.P1.fc8.i386
Jul 10 05:34:56 Updated: bind - 32:9.5.0-28.P1.fc8.i386
Jul 10 05:35:23 Updated: bind-utils - 32:9.5.0-28.P1.fc8.i386
Jul 10 05:35:29 Updated: bind-chroot - 32:9.5.0-28.P1.fc8.i386

solved the issue.  At least it hasn't recurred since then.  Note, I believe the updates are changing /var/named to 750,root:named which stops potentially useful cores from being written (needs to be 770).  Not sure if that's another bug or design.
Comment 8 Adam Tkac 2008-11-27 05:32:54 EST
(In reply to comment #7)
> AFAICT, this update:
> 
> Jul 10 05:34:43 Updated: bind-libs - 32:9.5.0-28.P1.fc8.i386
> Jul 10 05:34:56 Updated: bind - 32:9.5.0-28.P1.fc8.i386
> Jul 10 05:35:23 Updated: bind-utils - 32:9.5.0-28.P1.fc8.i386
> Jul 10 05:35:29 Updated: bind-chroot - 32:9.5.0-28.P1.fc8.i386
> 
> solved the issue.  At least it hasn't recurred since then.  Note, I believe the

Thanks for feedback, closing this bug

> updates are changing /var/named to 750,root:named which stops potentially
> useful cores from being written (needs to be 770).  Not sure if that's another
> bug or design.

It is intentional to have /var/named non-writable by named user.

Note You need to log in before you can comment on or make changes to this bug.